package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_user_gps
 * 
 * @author zehong
 * @date 2024-02-29
 */
public class TUserGps extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 绑定用户 */
    @Excel(name = "绑定用户")
    private Long userId;

    /** gps号码 */
    @Excel(name = "gps号码")
    private String imei;

    private String userName;

    private String deptName;

    /**定位时间*/
    private String positionTime;

    /**定位状态*/
    private String status;

    /**速度*/
    private String speed;

    /**定位方式*/
    private String locateMethod;

    /**电量*/
    private String electricQuan;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setImei(String imei) 
    {
        this.imei = imei;
    }

    public String getImei() 
    {
        return imei;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPositionTime() {
        return positionTime;
    }

    public void setPositionTime(String positionTime) {
        this.positionTime = positionTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getLocateMethod() {
        return locateMethod;
    }

    public void setLocateMethod(String locateMethod) {
        this.locateMethod = locateMethod;
    }

    public String getElectricQuan() {
        return electricQuan;
    }

    public void setElectricQuan(String electricQuan) {
        this.electricQuan = electricQuan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("imei", getImei())
            .append("createTime", getCreateTime())
            .toString();
    }
}
